# Makefile for program source directory in GNU NLS utilities package.
# Copyright (C) 1995, 1996, 1997 by Ulrich Drepper <drepper@gnu.ai.mit.edu>
# Copyright (C) 2004-2008 Rodney Dawes <dobey.pwns@gmail.com>
#
# This file may be copied and used freely without restrictions.  It may
# be used in projects which are not available under a GNU Public License,
# but which still want to provide support for the GNU gettext functionality.
#
# - Modified by Owen Taylor <otaylor@redhat.com> to use GETTEXT_PACKAGE
#   instead of PACKAGE and to look for po2tbl in ./ not in intl/
#
# - Modified by jacob berkman <jacob@ximian.com> to install
#   Makefile.in.in and po2tbl.sed.in for use with glib-gettextize
#
# - Modified by Rodney Dawes <dobey.pwns@gmail.com> for use with intltool
#
# We have the following line for use by intltoolize:
# INTLTOOL_MAKEFILE

GETTEXT_PACKAGE = libgda-5.0
PACKAGE = libgda
VERSION = 5.2.9

SHELL = /bin/sh

srcdir = .
top_srcdir = ..
top_builddir = ..


prefix = /usr/pkg
exec_prefix = ${prefix}
datadir = ${datarootdir}
datarootdir = ${prefix}/share
libdir = ${exec_prefix}/lib
localedir = /usr/pkg/share/locale
subdir = po
install_sh = ${SHELL} /tmp/pkgbuild/databases/libgda-mysql/work.aarch64eb/libgda-5.2.9/install-sh
# Automake >= 1.8 provides $(MKDIR_P).
# Until it can be supposed, use the safe fallback:
mkdir_p = $(install_sh) -d

INSTALL = /usr/bin/install -c -o pbulk -g users
INSTALL_DATA = /usr/bin/install -c -o pbulk -g users -m 644

GMSGFMT = /tmp/pkgbuild/databases/libgda-mysql/work.aarch64eb/.tools/bin/msgfmt
MSGFMT = /tmp/pkgbuild/databases/libgda-mysql/work.aarch64eb/.tools/bin/msgfmt
XGETTEXT = /usr/bin/xgettext
INTLTOOL_UPDATE = /tmp/pkgbuild/databases/libgda-mysql/work.aarch64eb/.tools/bin/intltool-update
INTLTOOL_EXTRACT = /tmp/pkgbuild/databases/libgda-mysql/work.aarch64eb/.tools/bin/intltool-extract
MSGMERGE = INTLTOOL_EXTRACT="$(INTLTOOL_EXTRACT)" XGETTEXT="$(XGETTEXT)" srcdir=$(srcdir) $(INTLTOOL_UPDATE) --gettext-package $(GETTEXT_PACKAGE) --dist
GENPOT   = INTLTOOL_EXTRACT="$(INTLTOOL_EXTRACT)" XGETTEXT="$(XGETTEXT)" srcdir=$(srcdir) $(INTLTOOL_UPDATE) --gettext-package $(GETTEXT_PACKAGE) --pot

ALL_LINGUAS = 

PO_LINGUAS=$(shell if test -r $(srcdir)/LINGUAS; then grep -v "^\#" $(srcdir)/LINGUAS; else echo "$(ALL_LINGUAS)"; fi)

USER_LINGUAS=$(shell if test -n "$(LINGUAS)"; then LLINGUAS="$(LINGUAS)"; ALINGUAS="$(ALL_LINGUAS)"; for lang in $$LLINGUAS; do if test -n "`grep \^$$lang$$ $(srcdir)/LINGUAS 2>/dev/null`" -o -n "`echo $$ALINGUAS|tr ' ' '\n'|grep \^$$lang$$`"; then printf "$$lang "; fi; done; fi)

USE_LINGUAS=$(shell if test -n "$(USER_LINGUAS)" -o -n "$(LINGUAS)"; then LLINGUAS="$(USER_LINGUAS)"; else if test -n "$(PO_LINGUAS)"; then LLINGUAS="$(PO_LINGUAS)"; else LLINGUAS="$(ALL_LINGUAS)"; fi; fi; for lang in $$LLINGUAS; do printf "$$lang "; done)

POFILES=$(shell LINGUAS="$(PO_LINGUAS)"; for lang in $$LINGUAS; do printf "$$lang.po "; done)

DISTFILES = Makefile.in.in POTFILES.in $(POFILES)
EXTRA_DISTFILES = ChangeLog POTFILES.skip Makevars LINGUAS

POTFILES = \
	../control-center/dsn-config.c \
	../control-center/dsn-properties-dialog.c \
	../control-center/gda-control-center-5.0.desktop.in \
	../control-center/gdaui-dsn-assistant.c \
	../control-center/gdaui-dsn-editor.c \
	../control-center/gdaui-login-dialog.c \
	../control-center/main.c \
	../control-center/provider-config.c \
	../libgda/gda-batch.c \
	../libgda/gda-config.c \
	../libgda/gda-connection.c \
	../libgda/gda-connection-event.c \
	../libgda/gda-data-access-wrapper.c \
	../libgda/gda-data-comparator.c \
	../libgda/gda-data-meta-wrapper.c \
	../libgda/gda-data-model-array.c \
	../libgda/gda-data-model-bdb.c \
	../libgda/gda-data-model.c \
	../libgda/gda-data-model-dir.c \
	../libgda/gda-data-model-dsn-list.c \
	../libgda/gda-data-model-import.c \
	../libgda/gda-data-model-iter.c \
	../libgda/gda-data-model-ldap.c \
	../libgda/gda-data-pivot.c \
	../libgda/gda-data-proxy.c \
	../libgda/gda-data-select.c \
	../libgda/gda-holder.c \
	../libgda/gda-init.c \
	../libgda/gda-log.c \
	../libgda/gda-meta-store.c \
	../libgda/gda-meta-struct.c \
	../libgda/gda-meta-struct-io.c \
	../libgda/gda-row.c \
	../libgda/gda-server-operation.c \
	../libgda/gda-server-provider.c \
	../libgda/gda-server-provider-extra.c \
	../libgda/gda-set.c \
	../libgda/gda-sql-builder.c \
	../libgda/gda-statement.c \
	../libgda/gda-tree.c \
	../libgda/gda-tree-mgr-columns.c \
	../libgda/gda-tree-mgr-label.c \
	../libgda/gda-tree-mgr-ldap.c \
	../libgda/gda-tree-mgr-schemas.c \
	../libgda/gda-tree-mgr-select.c \
	../libgda/gda-tree-mgr-tables.c \
	../libgda/gda-util.c \
	../libgda/gda-value.c \
	../libgda/gda-xa-transaction.c \
	../libgda/handlers/gda-handler-bin.c \
	../libgda/handlers/gda-handler-boolean.c \
	../libgda/handlers/gda-handler-numerical.c \
	../libgda/handlers/gda-handler-string.c \
	../libgda/handlers/gda-handler-time.c \
	../libgda/handlers/gda-handler-type.c \
	../libgda/providers-support/gda-pstmt.c \
	../libgda-report/DocBook/gda-report-docbook-document.c \
	../libgda-report/engine/gda-report-engine.c \
	../libgda-report/engine/rt-parser.c \
	../libgda-report/gda-report-document.c \
	../libgda-report/RML/gda-report-rml-document.c \
	../libgda/sqlite/gda-sqlite-ddl.c \
	../libgda/sqlite/gda-sqlite-handler-bin.c \
	../libgda/sqlite/gda-sqlite-handler-boolean.c \
	../libgda/sqlite/gda-sqlite-meta.c \
	../libgda/sqlite/gda-sqlite-provider.c \
	../libgda/sqlite/gda-sqlite-pstmt.c \
	../libgda/sqlite/gda-sqlite-recordset.c \
	../libgda/sqlite/gda-sqlite-util.c \
	../libgda/sqlite/virtual/gda-ldap-connection.c \
	../libgda/sqlite/virtual/gda-vconnection-data-model.c \
	../libgda/sqlite/virtual/gda-vconnection-hub.c \
	../libgda/sqlite/virtual/gda-virtual-connection.c \
	../libgda/sqlite/virtual/gda-virtual-provider.c \
	../libgda/sqlite/virtual/gda-vprovider-data-model.c \
	../libgda/sqlite/virtual/gda-vprovider-hub.c \
	../libgda/sql-parser/gda-sql-parser.c \
	../libgda/sql-parser/gda-statement-struct.c \
	../libgda/sql-parser/gda-statement-struct-compound.c \
	../libgda/sql-parser/gda-statement-struct-delete.c \
	../libgda/sql-parser/gda-statement-struct-insert.c \
	../libgda/sql-parser/gda-statement-struct-parts.c \
	../libgda/sql-parser/gda-statement-struct-select.c \
	../libgda/sql-parser/gda-statement-struct-update.c \
	../libgda/thread-wrapper/gda-thread-provider.c \
	../libgda/thread-wrapper/gda-thread-wrapper.c \
	../libgda-ui/data-entries/common-bin.c \
	../libgda-ui/data-entries/gdaui-data-cell-renderer-bin.c \
	../libgda-ui/data-entries/gdaui-data-cell-renderer-boolean.c \
	../libgda-ui/data-entries/gdaui-data-cell-renderer-combo.c \
	../libgda-ui/data-entries/gdaui-data-cell-renderer-info.c \
	../libgda-ui/data-entries/gdaui-data-cell-renderer-textual.c \
	../libgda-ui/data-entries/gdaui-entry.c \
	../libgda-ui/data-entries/gdaui-entry-combo.c \
	../libgda-ui/data-entries/gdaui-entry-common-time.c \
	../libgda-ui/data-entries/gdaui-entry-none.c \
	../libgda-ui/data-entries/gdaui-entry-number.xml.in \
	../libgda-ui/data-entries/gdaui-entry-shell.c \
	../libgda-ui/data-entries/gdaui-entry-string.c \
	../libgda-ui/data-entries/gdaui-entry-string.xml.in \
	../libgda-ui/data-entries/gdaui-formatted-entry.c \
	../libgda-ui/data-entries/gdaui-numeric-entry.c \
	../libgda-ui/data-entries/plugins/common-pict.c \
	../libgda-ui/data-entries/plugins/gda-sql.lang \
	../libgda-ui/data-entries/plugins/gdaui-data-cell-renderer-password.c \
	../libgda-ui/data-entries/plugins/gdaui-data-cell-renderer-pict.c \
	../libgda-ui/data-entries/plugins/gdaui-entry-cidr.c \
	../libgda-ui/data-entries/plugins/gdaui-entry-filesel.c \
	../libgda-ui/data-entries/plugins/gdaui-entry-filesel-spec.xml.in \
	../libgda-ui/data-entries/plugins/gdaui-entry-format-spec.xml.in \
	../libgda-ui/data-entries/plugins/gdaui-entry-password.xml.in \
	../libgda-ui/data-entries/plugins/gdaui-entry-pict.c \
	../libgda-ui/data-entries/plugins/gdaui-entry-pict-spec_string.xml.in \
	../libgda-ui/data-entries/plugins/gdaui-entry-pict-spec.xml.in \
	../libgda-ui/data-entries/plugins/gdaui-entry-text-spec.xml.in \
	../libgda-ui/data-entries/plugins/libmain.c \
	../libgda-ui/data/server_operation.glade \
	../libgda-ui/demos/main.c \
	../libgda-ui/gdaui-basic-form.c \
	../libgda-ui/gdaui-cloud.c \
	../libgda-ui/gdaui-combo.c \
	../libgda-ui/gdaui-data-filter.c \
	../libgda-ui/gdaui-data-proxy.c \
	../libgda-ui/gdaui-data-proxy-info.c \
	../libgda-ui/gdaui-data-selector.c \
	../libgda-ui/gdaui-data-store.c \
	../libgda-ui/gdaui-init.c \
	../libgda-ui/gdaui-login.c \
	../libgda-ui/gdaui-raw-form.c \
	../libgda-ui/gdaui-raw-grid.c \
	../libgda-ui/gdaui-rt-editor.c \
	../libgda-ui/gdaui-server-operation.c \
	../libgda-ui/gdaui-tree-store.c \
	../libgda-ui/internal/gdaui-provider-auth-editor.c \
	../libgda-ui/internal/gdaui-provider-spec-editor.c \
	../libgda-ui/internal/utility.c \
	../providers/bdb/bdb_specs_dsn.xml.in \
	../providers/bdb/gda-bdb-provider.c \
	../providers/bdb/libmain.c \
	../providers/bdbsql/bdbsql_specs_add_column.xml.in \
	../providers/bdbsql/bdbsql_specs_create_db.xml.in \
	../providers/bdbsql/bdbsql_specs_create_index.xml.in \
	../providers/bdbsql/bdbsql_specs_create_table.xml.in \
	../providers/bdbsql/bdbsql_specs_create_view.xml.in \
	../providers/bdbsql/bdbsql_specs_drop_db.xml.in \
	../providers/bdbsql/bdbsql_specs_drop_index.xml.in \
	../providers/bdbsql/bdbsql_specs_drop_table.xml.in \
	../providers/bdbsql/bdbsql_specs_drop_view.xml.in \
	../providers/bdbsql/bdbsql_specs_dsn.xml.in \
	../providers/bdbsql/bdbsql_specs_rename_table.xml.in \
	../providers/bdbsql/libmain.c \
	../providers/firebird/firebird_specs_dsn_emb.xml.in \
	../providers/firebird/libmain-client.c \
	../providers/firebird/libmain-embed.c \
	../providers/jdbc/GdaInputStream.c \
	../providers/jdbc/gda-jdbc-ddl.c \
	../providers/jdbc/gda-jdbc-provider.c \
	../providers/jdbc/gda-jdbc-recordset.c \
	../providers/jdbc/gda-jdbc-util.c \
	../providers/jdbc/GdaJValue.c \
	../providers/jdbc/jdbc_specs_com.microsoft.sqlserver.jdbc.SQLServerDriver_dsn.xml.in \
	../providers/jdbc/jdbc_specs_create_table.xml.in \
	../providers/jdbc/jdbc_specs_dsn.xml.in \
	../providers/jdbc/libmain.c \
	../providers/ldap/gda-ldap-provider.c \
	../providers/ldap/gda-ldap-util.c \
	../providers/ldap/gdaprov-data-model-ldap.c \
	../providers/ldap/ldap_specs_auth.xml.in \
	../providers/ldap/ldap_specs_dsn.xml.in \
	../providers/ldap/libmain.c \
	../providers/mdb/gda-mdb-provider.c \
	../providers/mdb/libmain.c \
	../providers/mdb/mdb_specs_dsn.xml.in \
	../providers/mysql/gda-mysql-ddl.c \
	../providers/mysql/gda-mysql-handler-boolean.c \
	../providers/mysql/gda-mysql-provider.c \
	../providers/mysql/gda-mysql-recordset.c \
	../providers/mysql/gda-mysql-util.c \
	../providers/mysql/libmain.c \
	../providers/mysql/mysql_specs_add_column.xml.in \
	../providers/mysql/mysql_specs_comment_column.xml.in \
	../providers/mysql/mysql_specs_comment_table.xml.in \
	../providers/mysql/mysql_specs_create_db.xml.in \
	../providers/mysql/mysql_specs_create_index.xml.in \
	../providers/mysql/mysql_specs_create_table.xml.in \
	../providers/mysql/mysql_specs_create_view.xml.in \
	../providers/mysql/mysql_specs_drop_column.xml.in \
	../providers/mysql/mysql_specs_drop_db.xml.in \
	../providers/mysql/mysql_specs_drop_index.xml.in \
	../providers/mysql/mysql_specs_drop_table.xml.in \
	../providers/mysql/mysql_specs_drop_view.xml.in \
	../providers/mysql/mysql_specs_dsn.xml.in \
	../providers/mysql/mysql_specs_rename_table.xml.in \
	../providers/oracle/gda-oracle-ddl.c \
	../providers/oracle/gda-oracle-meta.c \
	../providers/oracle/gda-oracle-util.c \
	../providers/oracle/oracle_specs_create_table.xml.in \
	../providers/postgres/gda-postgres-blob-op.c \
	../providers/postgres/gda-postgres-ddl.c \
	../providers/postgres/gda-postgres-handler-bin.c \
	../providers/postgres/gda-postgres-provider.c \
	../providers/postgres/gda-postgres-pstmt.c \
	../providers/postgres/gda-postgres-recordset.c \
	../providers/postgres/gda-postgres-util.c \
	../providers/postgres/libmain.c \
	../providers/postgres/postgres_specs_add_column.xml.in \
	../providers/postgres/postgres_specs_create_db.xml.in \
	../providers/postgres/postgres_specs_create_index.xml.in \
	../providers/postgres/postgres_specs_create_role.xml.in \
	../providers/postgres/postgres_specs_create_table.xml.in \
	../providers/postgres/postgres_specs_create_user.xml.in \
	../providers/postgres/postgres_specs_create_view.xml.in \
	../providers/postgres/postgres_specs_drop_column.xml.in \
	../providers/postgres/postgres_specs_drop_db.xml.in \
	../providers/postgres/postgres_specs_drop_index.xml.in \
	../providers/postgres/postgres_specs_drop_role.xml.in \
	../providers/postgres/postgres_specs_drop_table.xml.in \
	../providers/postgres/postgres_specs_drop_user.xml.in \
	../providers/postgres/postgres_specs_drop_view.xml.in \
	../providers/postgres/postgres_specs_dsn.xml.in \
	../providers/postgres/postgres_specs_rename_table.xml.in \
	../providers/reuseable/mysql/gda-mysql-meta.c \
	../providers/reuseable/mysql/gda-mysql-reuseable.c \
	../providers/reuseable/postgres/gda-postgres-meta.c \
	../providers/reuseable/postgres/gda-postgres-reuseable.c \
	../providers/sqlcipher/libmain.c \
	../providers/sqlcipher/sqlcipher_specs_add_column.xml.in \
	../providers/sqlcipher/sqlcipher_specs_auth.xml.in \
	../providers/sqlcipher/sqlcipher_specs_create_db.xml.in \
	../providers/sqlcipher/sqlcipher_specs_create_index.xml.in \
	../providers/sqlcipher/sqlcipher_specs_create_table.xml.in \
	../providers/sqlcipher/sqlcipher_specs_create_view.xml.in \
	../providers/sqlcipher/sqlcipher_specs_drop_db.xml.in \
	../providers/sqlcipher/sqlcipher_specs_drop_index.xml.in \
	../providers/sqlcipher/sqlcipher_specs_drop_table.xml.in \
	../providers/sqlcipher/sqlcipher_specs_drop_view.xml.in \
	../providers/sqlcipher/sqlcipher_specs_dsn.xml.in \
	../providers/sqlcipher/sqlcipher_specs_rename_table.xml.in \
	../providers/sqlite/libmain.c \
	../providers/sqlite/sqlite_specs_add_column.xml.in \
	../providers/sqlite/sqlite_specs_create_db.xml.in \
	../providers/sqlite/sqlite_specs_create_index.xml.in \
	../providers/sqlite/sqlite_specs_create_table.xml.in \
	../providers/sqlite/sqlite_specs_create_view.xml.in \
	../providers/sqlite/sqlite_specs_drop_db.xml.in \
	../providers/sqlite/sqlite_specs_drop_index.xml.in \
	../providers/sqlite/sqlite_specs_drop_table.xml.in \
	../providers/sqlite/sqlite_specs_drop_view.xml.in \
	../providers/sqlite/sqlite_specs_dsn.xml.in \
	../providers/sqlite/sqlite_specs_rename_table.xml.in \
	../providers/web/gda-web-ddl.c \
	../providers/web/gda-web-meta.c \
	../providers/web/gda-web-provider.c \
	../providers/web/gda-web-provider.c \
	../providers/web/gda-web-recordset.c \
	../providers/web/gda-web-util.c \
	../providers/web/libmain.c \
	../providers/web/web_specs_auth.xml.in \
	../providers/web/web_specs_dsn.xml.in \
	../testing/gda-test-blob.c \
	../testing/gda-test-connection.c \
	../testing/gdaui-test-data-entries.c \
	../tools/browser/auth-dialog.c \
	../tools/browser/browser-connection.c \
	../tools/browser/browser-connections-list.c \
	../tools/browser/browser-stock-icons.c \
	../tools/browser/browser-virtual-connection.c \
	../tools/browser/browser-window.c \
	../tools/browser/canvas/browser-canvas.c \
	../tools/browser/canvas/browser-canvas-column.c \
	../tools/browser/canvas/browser-canvas-db-relations.c \
	../tools/browser/canvas/browser-canvas-fkey.c \
	../tools/browser/canvas/browser-canvas-print.c \
	../tools/browser/canvas/browser-canvas-table.c \
	../tools/browser/common/fk-declare.c \
	../tools/browser/common/gdaui-data-import.c \
	../tools/browser/common/gdaui-entry-import.c \
	../tools/browser/common/objects-cloud.c \
	../tools/browser/common/ui-formgrid.c \
	../tools/browser/common/widget-overlay.c \
	../tools/browser/connection-binding-properties.c \
	../tools/browser/data-manager/analyser.c \
	../tools/browser/data-manager/data-console.c \
	../tools/browser/data-manager/data-favorite-selector.c \
	../tools/browser/data-manager/data-manager-perspective.c \
	../tools/browser/data-manager/data-source.c \
	../tools/browser/data-manager/data-source-editor.c \
	../tools/browser/data-manager/data-widget.c \
	../tools/browser/data-manager/perspective-main.c \
	../tools/browser/data-manager/ui-spec-editor.c \
	../tools/browser/data-manager/xml-spec-editor.c \
	../tools/browser/gda-browser-5.0.appdata.xml.in \
	../tools/browser/gda-browser-5.0.desktop.in \
	../tools/browser/ldap-browser/class-properties.c \
	../tools/browser/ldap-browser/entry-properties.c \
	../tools/browser/ldap-browser/filter-editor.c \
	../tools/browser/ldap-browser/hierarchy-view.c \
	../tools/browser/ldap-browser/ldap-browser-perspective.c \
	../tools/browser/ldap-browser/ldap-classes-page.c \
	../tools/browser/ldap-browser/ldap-entries-page.c \
	../tools/browser/ldap-browser/ldap-favorite-selector.c \
	../tools/browser/ldap-browser/ldap-search-page.c \
	../tools/browser/ldap-browser/mgr-ldap-classes.c \
	../tools/browser/ldap-browser/perspective-main.c \
	../tools/browser/ldap-browser/vtable-dialog.c \
	../tools/browser/login-dialog.c \
	../tools/browser/main.c \
	../tools/browser/mgr-favorites.c \
	../tools/browser/query-exec/perspective-main.c \
	../tools/browser/query-exec/query-console-page.c \
	../tools/browser/query-exec/query-editor.c \
	../tools/browser/query-exec/query-exec-perspective.c \
	../tools/browser/query-exec/query-favorite-selector.c \
	../tools/browser/query-exec/query-result.c \
	../tools/browser/schema-browser/favorite-selector.c \
	../tools/browser/schema-browser/mgr-columns.c \
	../tools/browser/schema-browser/objects-index.c \
	../tools/browser/schema-browser/perspective-main.c \
	../tools/browser/schema-browser/relations-diagram.c \
	../tools/browser/schema-browser/schema-browser-perspective.c \
	../tools/browser/schema-browser/table-columns.c \
	../tools/browser/schema-browser/table-info.c \
	../tools/browser/schema-browser/table-preferences.c \
	../tools/browser/support.c \
	../tools/browser/support.h \
	../tools/browser/text-search.c \
	../tools/cmdtool/tool-command.c \
	../tools/cmdtool/tool-help.c \
	../tools/cmdtool/tool-input.c \
	../tools/cmdtool/tool-output.c \
	../tools/command-exec.c \
	../tools/config-info.c \
	../tools/gda-list-config.c \
	../tools/gda-list-server-op.c \
	../tools/gda-sql.c \
	../tools/html-doc.c \
	../tools/tools-favorites.c \
	../tools/tool-utils.c \
	../tools/web-server.c

CATALOGS=$(shell LINGUAS="$(USE_LINGUAS)"; for lang in $$LINGUAS; do printf "$$lang.gmo "; done)

.SUFFIXES:
.SUFFIXES: .po .pox .gmo .mo .msg .cat

AM_DEFAULT_VERBOSITY = 0
INTLTOOL_V_MSGFMT = $(INTLTOOL__v_MSGFMT_$(V))
INTLTOOL__v_MSGFMT_= $(INTLTOOL__v_MSGFMT_$(AM_DEFAULT_VERBOSITY))
INTLTOOL__v_MSGFMT_0 = @echo "  MSGFMT" $@;

.po.pox:
	$(MAKE) $(GETTEXT_PACKAGE).pot
	$(MSGMERGE) $* $(GETTEXT_PACKAGE).pot -o $*.pox

.po.mo:
	$(INTLTOOL_V_MSGFMT)$(MSGFMT) -o $@ $<

.po.gmo:
	$(INTLTOOL_V_MSGFMT)file=`echo $* | sed 's,.*/,,'`.gmo \
	  && rm -f $$file && $(GMSGFMT) -o $$file $<

.po.cat:
	sed -f ../intl/po2msg.sed < $< > $*.msg \
	  && rm -f $@ && gencat $@ $*.msg


all: all-yes

all-yes: $(CATALOGS)
all-no:

$(GETTEXT_PACKAGE).pot: $(POTFILES)
	$(GENPOT)

install: install-data
install-data: install-data-yes
install-data-no: all
install-data-yes: all
	linguas="$(USE_LINGUAS)"; \
	for lang in $$linguas; do \
	  dir=$(DESTDIR)$(localedir)/$$lang/LC_MESSAGES; \
	  $(mkdir_p) $$dir; \
	  if test -r $$lang.gmo; then \
	    $(INSTALL_DATA) $$lang.gmo $$dir/$(GETTEXT_PACKAGE).mo; \
	    echo "installing $$lang.gmo as $$dir/$(GETTEXT_PACKAGE).mo"; \
	  else \
	    $(INSTALL_DATA) $(srcdir)/$$lang.gmo $$dir/$(GETTEXT_PACKAGE).mo; \
	    echo "installing $(srcdir)/$$lang.gmo as" \
		 "$$dir/$(GETTEXT_PACKAGE).mo"; \
	  fi; \
	  if test -r $$lang.gmo.m; then \
	    $(INSTALL_DATA) $$lang.gmo.m $$dir/$(GETTEXT_PACKAGE).mo.m; \
	    echo "installing $$lang.gmo.m as $$dir/$(GETTEXT_PACKAGE).mo.m"; \
	  else \
	    if test -r $(srcdir)/$$lang.gmo.m ; then \
	      $(INSTALL_DATA) $(srcdir)/$$lang.gmo.m \
		$$dir/$(GETTEXT_PACKAGE).mo.m; \
	      echo "installing $(srcdir)/$$lang.gmo.m as" \
		   "$$dir/$(GETTEXT_PACKAGE).mo.m"; \
	    else \
	      true; \
	    fi; \
	  fi; \
	done

# Empty stubs to satisfy archaic automake needs
dvi info ctags tags CTAGS TAGS ID:

# Define this as empty until I found a useful application.
install-exec installcheck:

uninstall:
	linguas="$(USE_LINGUAS)"; \
	for lang in $$linguas; do \
	  rm -f $(DESTDIR)$(localedir)/$$lang/LC_MESSAGES/$(GETTEXT_PACKAGE).mo; \
	  rm -f $(DESTDIR)$(localedir)/$$lang/LC_MESSAGES/$(GETTEXT_PACKAGE).mo.m; \
	done

check: all $(GETTEXT_PACKAGE).pot
	rm -f missing notexist
	srcdir=$(srcdir) $(INTLTOOL_UPDATE) -m
	if [ -r missing -o -r notexist ]; then \
	  exit 1; \
	fi

mostlyclean:
	rm -f *.pox $(GETTEXT_PACKAGE).pot *.old.po cat-id-tbl.tmp
	rm -f .intltool-merge-cache

clean: mostlyclean

distclean: clean
	rm -f Makefile Makefile.in POTFILES stamp-it
	rm -f *.mo *.msg *.cat *.cat.m *.gmo

maintainer-clean: distclean
	@echo "This command is intended for maintainers to use;"
	@echo "it deletes files that may require special tools to rebuild."
	rm -f Makefile.in.in

distdir = ../$(PACKAGE)-$(VERSION)/$(subdir)
dist distdir: $(DISTFILES)
	dists="$(DISTFILES)"; \
	extra_dists="$(EXTRA_DISTFILES)"; \
	for file in $$extra_dists; do \
	  test -f $(srcdir)/$$file && dists="$$dists $(srcdir)/$$file"; \
	done; \
	for file in $$dists; do \
	  test -f $$file || file="$(srcdir)/$$file"; \
	  ln $$file $(distdir) 2> /dev/null \
	    || cp -p $$file $(distdir); \
	done

update-po: Makefile
	$(MAKE) $(GETTEXT_PACKAGE).pot
	tmpdir=`pwd`; \
	linguas="$(USE_LINGUAS)"; \
	for lang in $$linguas; do \
	  echo "$$lang:"; \
	  result="`$(MSGMERGE) -o $$tmpdir/$$lang.new.po $$lang`"; \
	  if $$result; then \
	    if cmp $(srcdir)/$$lang.po $$tmpdir/$$lang.new.po >/dev/null 2>&1; then \
	      rm -f $$tmpdir/$$lang.new.po; \
            else \
	      if mv -f $$tmpdir/$$lang.new.po $$lang.po; then \
	        :; \
	      else \
	        echo "msgmerge for $$lang.po failed: cannot move $$tmpdir/$$lang.new.po to $$lang.po" 1>&2; \
	        rm -f $$tmpdir/$$lang.new.po; \
	        exit 1; \
	      fi; \
	    fi; \
	  else \
	    echo "msgmerge for $$lang.gmo failed!"; \
	    rm -f $$tmpdir/$$lang.new.po; \
	  fi; \
	done

Makefile POTFILES: stamp-it
	@if test ! -f $@; then \
	  rm -f stamp-it; \
	  $(MAKE) stamp-it; \
	fi

stamp-it: Makefile.in.in $(top_builddir)/config.status POTFILES.in
	cd $(top_builddir) \
	  && CONFIG_FILES=$(subdir)/Makefile.in CONFIG_HEADERS= CONFIG_LINKS= \
	       $(SHELL) ./config.status

# Tell versions [3.59,3.63) of GNU make not to export all variables.
# Otherwise a system limit (for SysV at least) may be exceeded.
.NOEXPORT:
